# NOTE:
# - the plugin's feature to check plugin freshness compares mtime of shared libs provided on project homepage:
#   static void skype_plugin_update_check(void)
#        basename = g_path_get_basename(this_plugin->path);
#        purple_util_fetch_url(g_strconcat("http://eion.robbmob.com/version?version=", basename, NULL),
#   which could be largely bogus depending when we build our package, touch
#   *.so after build with reference of source files? source tarball?
%define		svnrev	646
Summary:	Skype API Plugin for Pidgin/libpurple/Adium
Name:		libpurple-protocol-skype
Version:	20121120
Release:	1
License:	GPL v3
Group:		Applications/Communications
Source0:	skype4pidgin-r%{svnrev}.tar.bz2
# Source0-md5:	fd47f628afd709ac6cc1bb651b630ed6
Source1:	get-source.sh
URL:		http://code.google.com/p/skype4pidgin/
BuildRequires:	gettext-devel
BuildRequires:	glib-devel
BuildRequires:	libpurple-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
Requires:	skype-program
Provides:	libpurple-protocol
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Skype Plugin for Pidgin/libpurple/Adium. It lets you view
and chat with all your Skype buddies from within Pidgin/Adium. You
still need Skype to be running to be able to use it, but it lets you
keep a consistent user interface and use all the other nifty
Pidgin/Adium plugins with it, like spell-checking or OTR encryption.

%prep
%setup -qn skype4pidgin-r%{svnrev}
%{__sed} -i -e 's,\r$,,' README.txt
%{__sed} -i -e 's,-g -march=athlon-xp -O2 -pipe,$(CFLAGS),' Makefile
%{__sed} -i -e 's,-g -pipe,$(CFLAGS),' Makefile
%{__sed} -i -e 's,-g -march=athlon-xp -pipe,$(CFLAGS),' Makefile
%{__sed} -i -e 's,gcc,$(CC),' Makefile
%{__sed} -i -e 's,/usr/lib/purple-2,%{_libdir}/purple-2,' Makefile
# we want libfoo.so, not libfoo64.so, so pretend we're always building 32bit lib
%{__sed} -i -e 's,${LINUX32_COMPILER},$(CC),' Makefile

# yes it is weird place to find version date, because he this time forgot to update changelog
version=$(awk -F'"' '/define PRODUCT_VERSION/{print $2}' skype4pidgin.nsi)
if [ "[$version]" != "[$(date '+%d-%b-%Y' -d %{version})]" ]; then
	:
#	exit 1
fi

%build
%{__make} \
	libskype_dbus.so all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt COPYING.txt README.txt TODO.txt
%attr(755,root,root) %{_libdir}/purple-2/libskype.so
%attr(755,root,root) %{_libdir}/purple-2/libskype_dbus.so
%dir %{_pixmapsdir}/pidgin/emotes/skype
%{_pixmapsdir}/pidgin/emotes/skype/theme
%{_pixmapsdir}/pidgin/protocols/*/skype.png
%{_pixmapsdir}/pidgin/protocols/*/skypeout.png
%changelog
* Fri Dec 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpurple-protocol-skype.git;a=log;h=master

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> b534e61
- up to 20121120 (svn 646)

* Sat Apr 14 2012 Elan Ruusamäe <glen@pld-linux.org> 225a3b1
- there's no visible place to extract version of revision from source

* Sat Apr 14 2012 Elan Ruusamäe <glen@pld-linux.org> 56eef7c
- up to svn r628 (dated 2012-02-15), pidgin 2.8+ support

* Wed Jun 22 2011 Elan Ruusamäe <glen@pld-linux.org> 99f7459
- up to 20110407 snap, svn r612

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 8b30d81
- BR: xorg-lib-libX11-devel (yes, it is used directly)

* Tue Oct 26 2010 Elan Ruusamäe <glen@pld-linux.org> 4833166
- up to 20100826

* Sat May 22 2010 sparky <sparky@pld-linux.org> c468e62
- BR: gettext-devel, glib-devel, pkgconfig
- dropped BR: glib2-devel

* Thu Apr 29 2010 Elan Ruusamäe <glen@pld-linux.org> faa8d6b
- some thinko about plugin up to date check

* Wed Apr 28 2010 Elan Ruusamäe <glen@pld-linux.org> 089947d
- use date from changelog as version (as debian/ubuntu does)
- 20100121-1 released then

* Tue Apr 27 2010 Elan Ruusamäe <glen@pld-linux.org> 23b6a84
- up to svn 579

* Tue Dec 22 2009 Zsolt Udvari <uzsolt@pld-linux.org> f3a10b5
- provides libpurple-protocol

* Tue Dec 22 2009 Elan Ruusamäe <glen@pld-linux.org> a3df488
- new, works for me

